Subject: Re: bug#10442: maybe a bug for "tail"

From: Pádraig Brady <[email-masked]>
Date: Fri, 06 Jan 2012 10:20:52 +0000

On 01/06/2012 07:27 AM, yukuan wrote:
> When I user "tail -f FILENAME" to follow a file, which is continually growing, the output sometimes stops. When I press ctrl-c to quit and right immediately follow the same file, output would continue. And I found the file is growing while the output stops.
> (BTW, it's a log file with timestamp, so I am sure the file is growing. And while writing this mail, the file in another window stops, again.)
> Maybe it is a bug, or not. Please explain this for me.
> Thanks!
> 

What version of tail?
What file system is the log file on (is it remote for example)?
What kernel version?
Does it work with the undocumented ---disable-inotify option?

cheers,
Pádraig.